Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface SecurityProvider

All Known Subinterfaces:
  AdjudicationProvider, AuditProvider, AuthenticationProvider, AuthorizationProvider, CredentialProvider, DeployableAuthorizationProvider, DeployableCredentialProvider, DeployableRoleProvider, RoleProvider

public interface SecurityProvider

The `SecurityProvider` interface is required of all security providers (WebLogic and custom) because it provides basic methods for their use in the WebLogic Server environment.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.

Method Summary
`java.lang.String` | `getDescription()` Gets a brief text description of the security provider.
`void` | `initialize(ProviderMBean providerMBean, SecurityServices securityServices)` Initializes the security provider.
`void` | `shutdown()` Shuts down the security provider.

Method Detail

### initialize

    public void initialize(ProviderMBean providerMBean,
                           SecurityServices securityServices)

  Initializes the security provider.

  Parameters:
    `providerMBean` - the MBean specific to the security provider that is used during initialization.

    `securityServices` - an object from which a security provider can get the `AuditorService`, which limits the security provider to using the `Auditor` object's `writeEvent` method.

  Throws:
    java.lang.SecurityException - if the caller lacks appropriate permission for the operation.

### getDescription

    public java.lang.String getDescription()

  Gets a brief text description of the security provider. For example, "Weblogic Authentication provider, version 1.0".

  Returns:
    a String describing this security provider.

### shutdown

    public void shutdown()

  Shuts down the security provider.

  Throws:
    java.lang.SecurityException - if the caller lacks appropriate permission for the operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference